﻿using System.Windows;

namespace BasicWindow
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void btn0_Click(object sender, RoutedEventArgs e)
        {
            // ボタンのイベントを処理する。処理は、直接記述せず、メソッドにまとめて呼び出します。
            btn0Process();
        }

        private void btn0Process()
        {
            // メッセージダイアログを呼び出すメソッド
            
            // Configure the message box to be displayed
            // 表示されるメッセージボックスを構成します
            string messageBoxText = "変更を保存しますか?";
            string caption = "Word Processor";
            MessageBoxButton button = MessageBoxButton.YesNoCancel;
            MessageBoxImage icon = MessageBoxImage.Warning;

            // Labelのメッセージを消去する
            Label01.Content = "";

            // Display message box メッセージボックスを表示します
            MessageBoxResult result = MessageBox.Show(messageBoxText, caption, button, icon);

            // メッセージダイアログボックスで押されたボタンの処理
            // Process message box results
            switch (result)
            {
                case MessageBoxResult.Yes:
                    // User pressed Yes button
                    Label01.Content = "「はい」が押されたよ。";
                    break;
                case MessageBoxResult.No:
                    // User pressed No button
                    Label01.Content = "「いいえ」が押されたよ。";
                    break;
                case MessageBoxResult.Cancel:
                    // User pressed Cancel button
                    Label01.Content = "「キャンセル」が押されたよ。";
                    break;
            }
        }
    }
}
